<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <button
        class="btn btn-primary"
        (click)="onlyOdd = !onlyOdd">Only show odd numbers</button>
      <br><br>
      <ul class="list-group">
        <div *ngIf="onlyOdd">
          <li
          class="list-group-item"
          [ngClass]="{odd: odd % 2 !==0}"
          [ngStyle]="{backgroundColor: odd % 2 !==0 ? 'yellow':'transparent'}"
          *ngFor="let odd of oddNumbers">
          {{odd}}
        </li>
        </div>
        <!-- <div *ngIf="!onlyOdd">
          <li
          class="list-group-item"
          [ngClass]="{odd: even % 2 !==0}"
          [ngStyle]="{backgroundColor: even % 2 !==0 ? 'yellow':'transparent'}"
          *ngFor="let even of evenNumbers">
          {{even}}
        </li>
        </div> -->
        <div *appUnless="onlyOdd">
          <li
          class="list-group-item"
          [ngClass]="{odd: even % 2 !==0}"
          [ngStyle]="{backgroundColor: even % 2 !==0 ? 'yellow':'transparent'}"
          *ngFor="let even of evenNumbers">
          {{even}}
        </li>
      </div>
        
      </ul>
      <p appBasicHighlight>Style avec mon basic directive!</p>
      <p appBetterhighliht [defaultColor]="'yellow'" [highlightColor]="'red'">Style avec mon better directive!</p>
      <div [ngSwitch]="value">
        <p *ngSwitchCase="5">La valeur est de 5</p>
        <p *ngSwitchCase="10">La valeur est de 10</p>
        <p *ngSwitchCase="100">La valeur est de 100</p>
        <p *ngSwitchDefault>La valeur Default </p>
      </div>
    
    </div>
  </div>
</div>
